\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.3 - IO Streams

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Ostream_iterator< T, Stream > Class Template Reference
IO Streams Reference

`#include <CGAL/IO/Ostream_iterator.h>`

## Definition

The class `Ostream_iterator` is an output iterator adaptor for the output stream class `Stream` and value type `T`.

Is Model Of:
  `OutputIterator`

Implementation

The `operator*()` in class `Ostream_iterator` uses a proxy class.

## Creation
| Ostream_iterator (Stream &s)
| creates an output iterator writing to `s`.